Subject: bug#6401:

From: Glenn Morris <[email-masked]>
Date: Tue, 22 Nov 2011 12:32:49 -0500

Eli Zaretskii wrote:

> Building Emacs is just one use case, even if we find a solution for
> it.  The problem is much broader: Emacs running as a child of another
> Emacs gets EMACSDATA etc. variables that could well point to a wrong
> place, because they were set by a different Emacs version.

But I would imagine that building Emacs from inside Emacs accounts for
the majority of cases where Emacs is run as a child of another Emacs.
(I can't think of any other reason one would want to do it.)